"Search for suitable codec" dialog not translated/translatable

Reported by Timo Jyrinki on 2007-04-15
8
Affects Status Importance Assigned to Milestone
Launchpad itself
Undecided
Carlos Perelló Marín
gnome-app-install (Ubuntu)
High
Michael Vogt
Feisty
Undecided
Unassigned
Gutsy
Undecided
Unassigned
Hardy
High
Michael Vogt

Bug Description

Binary package hint: gnome-app-install

The dialog that comes up when trying to play an unsupported file is untranslated, and the translation is not currently available in Rosetta.

I'd hope this can be fixed in Feisty Updates, too by introducing the necessary strings for the translators, and letting language pack updates take care of this in the future.

Looking at the /usr/bin/gnome-app-install, there is the following:
        if not askConfirmation(_("Search for suitable codec?"),
                        _("The required software to play this "
                          "file is not installed. You need to install "
                          "suitable codecs to play "
                          "media files. Do you want to search for a codec "
                          "that supports the selected file?\n\n"
                          "The search will also include software which is not "
                          "officially supported by Ubuntu."),
                          transient_for):

So I wonder why they are not available for translation at the moment.

Timo Jyrinki (timo-jyrinki) wrote :

Hmm, also the "Restricted Software" -dialog is untranslated.

Sebastian Heinlein (glatzor) wrote :

What a pitty. We missed to add the gnome-app-install script to POTFILES

Changed in gnome-app-install:
assignee: nobody → glatzor
status: Unconfirmed → In Progress
Sebastian Heinlein (glatzor) wrote :

fixed in my local branch. waiting for mvo to merge and upload

Changed in gnome-app-install:
assignee: glatzor → mvo
status: In Progress → Fix Committed
Martin Pitt (pitti) wrote :

Accepted into feisty-proposed.

Changed in gnome-app-install:
status: Unconfirmed → Fix Committed
Changed in gnome-app-install:
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Timo Jyrinki (timo-jyrinki) wrote :

I don't see updated gnome-app-install yet in Feisty repositories or https://lists.ubuntu.com/archives/feisty-changes/2007-May/thread.html ?

Timo Jyrinki (timo-jyrinki) wrote :

To be more exact, I only see it feisty-proposed, not in feisty-updates, which means it's not "released" for Feisty. Also translation template in Launchpad has not been updated.

Sebastian Heinlein (glatzor) wrote :

but it was released to gutsy.

Timo Jyrinki (timo-jyrinki) wrote :

Yeah, gutsy, but also "Feisty" row was marked as being Fix Released. Putting back to Fix Committed now, as long as it's in proposed only.

Changed in gnome-app-install:
status: Fix Released → Fix Committed
Sebastian Heinlein (glatzor) wrote :

You are right. I made a mistake.

Michael Vogt (mvo) wrote :

Verification for this should probably be a simple installation because neither the pot file nor the POTFILES.in makes it into the actual binary package.

Brian Murray (brian-murray) wrote :

I installed the source package from gnome-app-install version 0.3.31 from feisty proposed and confirm that the changes have been made.

Martin Pitt (pitti) wrote :

Copied to feisty-updates.

Changed in gnome-app-install:
status: Fix Committed → Fix Released
Timo Jyrinki (timo-jyrinki) wrote :

Hi. I'd still like to reopen this for Feisty, since for some reason the translation template for gnome-app-install hasn't been updated for Feisty so that it would be possible to translate the new strings, even though the new version has now been uploaded.

Changed in gnome-app-install:
status: Fix Released → Fix Committed
Sebastian Heinlein (glatzor) wrote :

Carlos: Are strings from feisty-updates added to the feisty Rosetta branch automatically? Does it require some manual intervention?

We accept any translation coming from Release, Security, Updates and Proposed pockets for 'main' component. So the answer is yes.

However, I saw that you did a 'copy' to feisty-updates, does such copy require a package rebuild? Without a source package rebuild, Launchpad translations doesn't get any .pot o .po updates.

Hi Carlos,

Carlos Perelló Marín [2007-06-27 10:11 -0000]:
> However, I saw that you did a 'copy' to feisty-updates, does such copy
> require a package rebuild? Without a source package rebuild, Launchpad
> translations doesn't get any .pot o .po updates.

No, it puts the very same source and binaries into the -updates
Packages.gz/Source.gz. There is no rebuilding involved at all.

Martin
--
Martin Pitt http://www.piware.de
Ubuntu Developer http://www.ubuntu.com
Debian Developer http://www.debian.org

That's the problem then. In that case, you will need to provide me with the updated .pot file and I will do a manual upload.

How often do you do this kind of copy? If it's a quite common operation, maybe we should figure a way to deal with this automatically.

Martin Pitt (pitti) wrote :

Hi Carlos,

Carlos Perelló Marín [2007-06-27 11:25 -0000]:
> That's the problem then. In that case, you will need to provide me with
> the updated .pot file and I will do a manual upload.
>
> How often do you do this kind of copy? If it's a quite common operation,
> maybe we should figure a way to deal with this automatically.

We only copy packages between -proposed and -updates now, we do not do
direct uploads to -updates. But shouldn't the -proposed build have
provided the updated tarball?

Martin

Yes, we accept -proposed uploads. From this bug report, I understood that you copied it from Gutsy to Feisty. Is that correct? If it's not, there is a bug...

Martin Pitt (pitti) wrote :

Hi Carlos,

Carlos Perelló Marín [2007-06-27 14:11 -0000]:
> Yes, we accept -proposed uploads. From this bug report, I understood
> that you copied it from Gutsy to Feisty. Is that correct? If it's not,
> there is a bug...

No, of course we don't do crazy things like that :). We copy
feisty-proposed to feisty-updates once it has been verified.

Martin Pitt (pitti) wrote :

Closing the g-a-i task, since the updated version is in feisty-updates. If there's still a problem, this is rather a Rosetta import bug.

Changed in gnome-app-install:
status: Fix Committed → Fix Released
Timo Jyrinki (timo-jyrinki) wrote :

Indeed this is a Rosetta problem, marking this bug there.

Timo Jyrinki (timo-jyrinki) wrote :

Carlos, while you're fixing this in Rosetta, it'd be nice if you could do the manual import for Feisty's gnome-app-install so that there would be possibility to translate gnome-app-install completely for the next Feisty's language pack updates.

Sure, I already asked for that file to do a manual upload (Right now only Launchpad Translation admins are able to do that). I didn't get it yet so I was waiting to have some spare time to get it myself. I hope I will have time to do it later this week.

Cheers.

I just did a manual upload for this file. It will take a while to have it available to translators due the number of entries being imported right now.

Btw, make gnome-app-install.pot inside po/ directory is not working.

Changed in rosetta:
assignee: nobody → carlos
status: New → Fix Committed
Timo Jyrinki (timo-jyrinki) wrote :

Hmm, still not seeing (https://translations.launchpad.net/ubuntu/feisty/+lang/fi/+index?start=225&batch=75), maybe the queue has problems or there is a specific problem with gnome-app-install?

Btw, I've filed a bug on the pot/make problem with gnome-app-install.

Timo Jyrinki (timo-jyrinki) wrote :

Hmm, still not seeing (https://translations.launchpad.net/ubuntu/feisty/+lang/fi/+index?start=225&batch=75), maybe the queue has problems or there is a specific problem with gnome-app-install?

Btw, I've filed a bug on the pot/make problem with gnome-app-install in bug 125046.

Hmm, seems like we have a performance problem with the import queue, the file is not yet imported.

I will take a look next week when I'm back at home.

The import has been done now. Though, after talking with Michael Vogt, the fact that it was not updated the first time would be just that the package build was not refreshing the .pot file.

If Feisty and Gutsy lacks the new strings, I will need a new version of both .pot files from someone that could confirm that contain such strings and will do another manual upload (this time should be faster) or a new package version needs to be rebuild.

Changed in rosetta:
status: Fix Committed → Fix Released
Timo Jyrinki (timo-jyrinki) wrote :

Hi. Sorry to bother again, but the Feisty template does not seem to be updated in a way that it would include the codec strings available in gnome-app-install 0.3.31. I put this on IRC before Carlos's irc client quit:

Rosetta still doesn't have new strings. Did you fix the make update-po manually before uploading the pot, so that a new pot was generated?

If I get 0.3.31, make update-po in po/ doesn't work unless I add a line top_srcdir=../ in the po/Makefile. After that I get a POT and PO files are updated with the codec strings. The 0.3.31 is in feisty-updates.

Changed in rosetta:
status: Fix Released → Confirmed
Timo Jyrinki (timo-jyrinki) wrote :

This is the POT file I get in Feisty for gnome-app-install 0.3.31 when running make update-po after adding top_srcdir=../ in the Makefile. It includes the codec installation strings currently not in the Feisty translations.

I just upload it to Launchpad. Thank you.

It should be imported in next 10-20 minutes

Changed in rosetta:
status: Confirmed → Fix Committed
Timo Jyrinki (timo-jyrinki) wrote :

Thanks! It is now marked as "Needs Review" [1]. msgfmt -c does not give any errors except for the unfilled header information which is natural for a POT file.

[1] https://translations.launchpad.net/translations/imports/+index?target=distros&status=NEEDS_REVIEW&type=pot&start=225&batch=75

It's now imported and should be available to translate in Launchpad

Changed in rosetta:
status: Fix Committed → Fix Released
Timo Jyrinki (timo-jyrinki) wrote :

Cool, this is finally solved for Feisty! Thanks a lot!

Timo Jyrinki (timo-jyrinki) wrote :

Reopening this, unfortunately it seems that this is not working in gutsy. The translations for the dialog are included in eg. /usr/share/locale-langpack/fi/LC_MESSAGES/gnome-app-install.mo, but those are not used eg. when opening a video in Totem that is not supported.

msgunfmt gnome-app-install.mo shows eg:
msgid "Search for suitable codec?"
msgstr "Etsi sopivaa koodekkia?"

Changed in gnome-app-install:
status: Fix Released → Confirmed
Timo Jyrinki (timo-jyrinki) wrote :

It seems the gettext domain is not set correctly in this case, unfortunately I didn't test the fixes properly apparently before, only that the strings are translatable and in language packs. Adding:

import gettext
import gtk
import gtk.glade

(...)

#setup gettext
app="gnome-app-install"
gettext.textdomain(app)
gettext.bindtextdomain(app)
gtk.glade.textdomain(app)
gtk.glade.bindtextdomain(app)

to activation.py, copying from AppInstall.py, seems to fix the problem. Any chance of fixing this and doing a package for gutsy-updates at some point?

Not sure if the same problem might be elsewhere, too.

Michael Vogt (mvo) on 2007-10-23
Changed in gnome-app-install:
importance: Undecided → Medium
milestone: none → gutsy-updates
Timo Jyrinki (timo-jyrinki) wrote :

The gettext domain is still not getting properly set as of gnome-app-install 0.5.1-0ubuntu1, ie. the dialog is not translated in hardy, either.

Martin Pitt (pitti) wrote :

That's what I get when I allow people to violate SRU policy and fix in stables first. Michael, please apply this fix to hardy ASAP. Thank you!

Changed in gnome-app-install:
importance: Medium → High
milestone: gutsy-updates → none
Timo Jyrinki (timo-jyrinki) wrote :

Actually this was not completely fixed in feisty, either. But anyway, the fix for the issue is pending. The translations are there now, but the remaining issue seems to be that of the unset gettext domain in some situation(s).

Michael Vogt (mvo) wrote :

Thanks for the followup and sorry for the bug. I fixed it in bzr for hardy now.

Changed in gnome-app-install:
status: Confirmed → Fix Committed
Michael Vogt (mvo) wrote :
Changed in gnome-app-install:
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-app-install - 0.5.2-0ubuntu1

---------------
gnome-app-install (0.5.2-0ubuntu1) hardy; urgency=low

  [ Michael Vogt ]
  * AppInstall/AppInstall.py:
    - wording fixes (thanks to Matthew Paul Thomas)
  * remove some dead code
  * README: fix some outdated information (closes: #437415)
  * fix gettext init (LP: #106756)
  * be more robust if the description is empty for some
    reason
  * add special handling for the canonical partner repositor
    in the app view (own text + icon)
  * add support for https URLs in the app view

  [ Sebastian Heinlein ]
  * support emblemes without description and remove
    unclear descriptions
  * move search entry so that its more clear that it searches
    only in the current category

  [ Julian Andres Klode ]
  * man/: Add manpages for all commands
  * debian/control:
    - Update to Policy 3.7.3
    - Remove dependency on software-properties-gtk
    - Use Vcs-Bzr instead of XS-Vcs-Bzr, fix url
  * data/gnome-app-install.glade:
    - Remove the Preferences Button
  * setup.py:
    - Install gnome-app-install-helper into /usr/sbin/
  * AppInstall/CoreMenu.py, AppInstall/update.py:
    - Use more efficient format to store cache (pickle protocol 2)

 -- Michael Vogt <email address hidden> Tue, 05 Feb 2008 13:48:32 +0100

Changed in gnome-app-install:
status: Fix Committed → Fix Released
Timo Jyrinki (timo-jyrinki) wrote :

Hi, thanks! Works in both gutsy and hardy (though in hardy there's another problem with app-install crashing after clicking the Search button - bug #189490)

Timo Jyrinki (timo-jyrinki) wrote :

Could the gutsy version be moved from gutsy-proposed to gutsy-updates now?

Timo Jyrinki (timo-jyrinki) wrote :

I guess Gutsy can also be marked as "Fix Committed". I just don't find how to proceed in moving the package from gutsy-proposed to gutsy-updates, after verification-done has also been added and over a month has passed by. https://wiki.ubuntu.com/StableReleaseUpdates doesn't specify how the actual copying to gutsy-updates should work, or at least I didn't see it.

Changed in gnome-app-install:
status: In Progress → Fix Committed
Sergio Zanchetta (primes2h) wrote :

The 18 month support period for Gutsy Gibbon 7.10 has reached its end of life -
http://www.ubuntu.com/news/ubuntu-7.10-eol . As a result, we are closing the
Gutsy task.

Changed in gnome-app-install (Ubuntu Gutsy):
status: Fix Committed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers